linux-raspi2: 4.2.0-1024.31 -proposed tracker

Bug #1543518 reported by Luis Henriques on 2016-02-09
20
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Medium
Unassigned
Automated-testing
Medium
Canonical Kernel Team
Certification-testing
Medium
Canonical Hardware Certification
Prepare-package
Medium
Luis Henriques
Prepare-package-meta
Medium
Luis Henriques
Promote-to-proposed
Medium
Chris J Arges
Promote-to-security
Medium
Adam Conrad
Promote-to-updates
Medium
Adam Conrad
Regression-testing
Medium
Canonical Kernel Team
Security-signoff
Medium
Steve Beattie
Upload-to-ppa-dnu
Medium
Unassigned
Verification-testing
Undecided
Unassigned
linux-raspi2 (Ubuntu)
Undecided
Unassigned
Wily
Undecided
Unassigned

Bug Description

This bug is for tracking the 4.2.0-1024.31 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Tuesday, 09. February 2016 10:41 UTC
kernel-stable-master-bug:1543167
kernel-stable-Prepare-package-end:Tuesday, 09. February 2016 15:03 UTC
kernel-stable-Promote-to-proposed-start:Tuesday, 09. February 2016 15:03 UTC
kernel-stable-Promote-to-proposed-end:Tuesday, 09. February 2016 18:34 UTC
kernel-stable-phase:Verification & Testing
kernel-stable-phase-changed:Tuesday, 09. February 2016 20:02 UTC
kernel-stable-Verification-testing-start:Tuesday, 09. February 2016 20:02 UTC
kernel-stable-Certification-testing-start:Tuesday, 09. February 2016 20:02 UTC
kernel-stable-Security-signoff-start:Tuesday, 09. February 2016 20:02 UTC
proposed-announcement-sent:True
kernel-stable-Regression-testing-start:Tuesday, 09. February 2016 20:02 UTC
kernel-stable-Security-signoff-end:Wednesday, 10. February 2016 16:01 UTC
kernel-stable-Certification-testing-end:Tuesday, 16. February 2016 09:01 UTC
kernel-stable-Regression-testing-end:Thursday, 18. February 2016 01:03 UTC

CVE References

Luis Henriques (henrix) on 2016-02-09
tags: added: kernel-release-tracking-bug
tags: added: block-proposed
tags: added: block-proposed-wily
tags: added: wily
Changed in kernel-sru-workflow:
status: New → In Progress
importance: Undecided → Medium
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in linux-raspi2 (Ubuntu Wily):
status: New → Confirmed
Changed in linux-raspi2 (Ubuntu):
status: New → Confirmed
Luis Henriques (henrix) on 2016-02-09
summary: - linux-raspi2: <version to be filled> -proposed tracker
+ linux-raspi2: 4.2.0-1024.31 -proposed tracker
description: updated
Changed in linux-raspi2 (Ubuntu):
status: Confirmed → Invalid

All builds are complete, packages in this bug can be copied to -proposed.

description: updated

 linux-raspi2 | 4.2.0-1024.31 | wily-proposed/universe | source
 linux-meta-raspi2 | 4.2.0.1024.28 | wily-proposed/universe | source

Brad Figg (brad-figg) on 2016-02-09
description: updated
Brad Figg (brad-figg) on 2016-02-09
description: updated

Here's the relevant information:

 wily linux-raspi2 4.2.0-1024.31 REGR summary<REGN: 1 MISS: 2 FAIL: 15 GOOD: 17>

Please verify test results in http://people.canonical.com/~kernel/status/adt-matrix/overall.txt

Brad Figg (brad-figg) on 2016-02-10
description: updated
Po-Hsu Lin (cypressyew) wrote :

We don't have a test plan for the raspi2 proposed kernel testing task yet, I'm afraid we will need to skip it in this cycle.
We will arrange an user story to create a test plan for it.
Thanks.

Brad Figg (brad-figg) on 2016-02-16
description: updated
Brad Figg (brad-figg) on 2016-02-18
tags: added: qa-testing-passed
description: updated
Brad Figg (brad-figg) on 2016-02-19
tags: removed: block-proposed-wily
Launchpad Janitor (janitor) wrote :
Download full text (44.6 KiB)

This bug was fixed in the package linux-raspi2 - 4.2.0-1025.32

---------------
linux-raspi2 (4.2.0-1025.32) wily; urgency=low

  [ Luis Henriques ]

  * rebased on Ubuntu-4.2.0-30.35

  [ Ubuntu: 4.2.0-30.35 ]

  * SAUCE: cred: Add clone_cred() interface
    - LP: #1531747, #1534961, #1535150
    - CVE-2016-1575 CVE-2016-1576
  * SAUCE: overlayfs: Use mounter's credentials instead of selectively
    raising caps
    - LP: #1531747, #1534961, #1535150
    - CVE-2016-1575 CVE-2016-1576
  * SAUCE: overlayfs: Skip permission checking for trusted.overlayfs.*
    xattrs
    - LP: #1531747, #1534961, #1535150
    - CVE-2016-1575 CVE-2016-1576
  * SAUCE: overlayfs: Be more careful about copying up sxid files
    - LP: #1534961, #1535150
    - CVE-2016-1575 CVE-2016-1576
  * SAUCE: overlayfs: Propogate nosuid from lower and upper mounts
    - LP: #1534961, #1535150
    - CVE-2016-1575 CVE-2016-1576

linux-raspi2 (4.2.0-1024.31) wily; urgency=low

  [ Luis Henriques ]

  * Release Tracking Bug
    - LP: #1543518
  * rebased on Ubuntu-4.2.0-29.34

  [ Ubuntu: 4.2.0-29.34 ]

  * Release Tracking Bug
    - LP: #1543167
  * Revert "SAUCE: apparmor: fix sleep from invalid context"
    - LP: #1542049
  * Revert "af_unix: Revert 'lock_interruptible' in stream receive code"
    - LP: #1540731

linux-raspi2 (4.2.0-1023.30) wily; urgency=low

  [ Luis Henriques ]

  * Release Tracking Bug
    - LP: #1540861

  [ Tim Gardner ]

  * Dropped ('pinctrl-bcm2835: bcm2835_gpio_direction_output must set the value') as
    it conflicted with upstream stable ('pinctrl: bcm2835: Fix initial value for direction_output')
    and provided the same functionality.
  * Added upsream cherry-pick ad82362b2defd4adad87d8538617b2f51a4bf9c3 ('mm: add dma_pool_zalloc() call to DMA API')
    in order to compensate for a missing stable patch.
  * Revert "dmaengine: bcm2835-dma: Convert to use DMA pool"
    This patch conflicts with the Raspberry Pi 2 BSP patches that implement DMA. It professes to
    fix a memleak, but does so while also converting to a completely new DMA API (which completely breaks
    the BSP implementation for DMA).
  * Rebased against Ubuntu-4.2.0-28.33

  [ Ubuntu: 4.2.0-28.33 ]

  * Release Tracking Bug
    - LP: #1540634
  * CONFIG: CONFIG_DEBUG_UART_BCM63XX is not set
  * SAUCE: ubuntu: aufs: tiny, extract a new func xino_fwrite_wkq()
    - LP: #1533043
  * SAUCE: ubuntu: aufs: for 4.3, XINO handles EINTR from the dying process
    - LP: #1533043
  * SAUCE: (no-up): apparmor: fix for failed mediation of socket that is
    being shutdown
    - LP: #1446906
  * SAUCE: apparmor: fix sleep from invalid context
    - LP: #1539349
  * [Config] Add pvpanic to virtual flavour
    - LP: #1537923
  * Revert "ACPI / LPSS: allow to use specific PM domain during ->probe()"
    - LP: #1540532
  * tools: Add a "make all" rule
    - LP: #1536370
  * vf610_adc: Fix internal temperature calculation
    - LP: #1536370
  * iio: lpc32xx_adc: fix warnings caused by enabling unprepared clock
    - LP: #1536370
  * iio:ad5064: Make sure ad5064_i2c_write() returns 0 on success
    - LP: #1536370
  * iio: ad5064: Fix ad5629/ad5669 shift
    - LP: #1536370
  * iio:ad7793: Fix ad7785 pro...

Changed in linux-raspi2 (Ubuntu Wily):
status: Confirmed → Fix Released
Brad Figg (brad-figg) on 2016-02-22
Changed in kernel-sru-workflow:
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers